#!/bin/bash

package=HadoopGreenstoneIngest
version=

progname=$0

source ../cascade-make/lib/cascade-lib.bash GEXTPARALLELBUILDING ../.. $*

prefix=$GEXTPARALLELBUILDING_INSTALLED

rm ${GEXTPARALLELBUILDING_INSTALLED}/lib/hadoop-greenstone.jar
pushd ${GEXTPARALLELBUILDING}/src/java/org/nzdl/gsdl/
rm -rf hgi_classes
mkdir hgi_classes
javac -cp $HADOOP_PREFIX/hadoop-core-$HADOOP_VERSION.jar -d hgi_classes *.java
jar -cvf $GEXTPARALLELBUILDING_INSTALLED/lib/hadoop-greenstone.jar -C hgi_classes/ .
popd